# SIPRegister Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPRegister:

List of all members.

## Public Member Functions

| SIPRegister (SIPEndPoint &endpoint, OpalTransport &transport, const PStringList &routeSet, const PString &id, const Params &params)

## Classes

struct | Params

## Constructor & Destructor Documentation

SIPRegister::SIPRegister | ( | SIPEndPoint & | endpoint,
|  | OpalTransport & | transport,
|  | const PStringList & | routeSet,
|  | const PString & | id,
|  | const Params & | params |
| ) |  |  |

The documentation for this class was generated from the following file:

- sippdu.h